com.holonplatform.vaadin.components

## Interface Components.listing

- Enclosing interface:
    Components

      public static interface Components.listing

  `ItemListing` builders provider.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> BeanListingBuilder<T>` | `items(Class<T> itemType)` Builder to create an `ItemListing` instance using a `Grid` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder` | `properties(Iterable<P> properties)` Builder to create an `PropertyListing` instance using a `Grid` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder` | `properties(P... properties)` Builder to create an `PropertyListing` instance using a `Grid` as backing component.
    `static <P extends com.holonplatform.core.property.Property> PropertyListingBuilder.GridPropertyListingBuilder` | `properties(com.holonplatform.core.property.PropertySet<P> properties, P... additionalProperties)` Builder to create an `PropertyListing` instance using a `Grid` as backing component.

- - ### Method Detail

    - #### items

          static <T> BeanListingBuilder<T> items(Class<T> itemType)

      Builder to create an `ItemListing` instance using a `Grid` as backing component.
      Type Parameters:
        `T` - Item data type
      Parameters:
        `itemType` - Item bean type
      Returns:
        Grid `ItemListing` builder

    - #### properties

          @SafeVarargs
          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder properties(P... properties)

      Builder to create an `PropertyListing` instance using a `Grid` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Grid `PropertyListing` builder

    - #### properties

          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder properties(Iterable<P> properties)

      Builder to create an `PropertyListing` instance using a `Grid` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Grid `PropertyListing` builder

    - #### properties

          @SafeVarargs
          static <P extends com.holonplatform.core.property.Property> PropertyListingBuilder.GridPropertyListingBuilder properties(com.holonplatform.core.property.PropertySet<P> properties,
                                                                                                                                                 P... additionalProperties)

      Builder to create an `PropertyListing` instance using a `Grid` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing (not null)
        `additionalProperties` - Additional properties to declare
      Returns:
        Grid `PropertyListing` builder

Copyright © 2019 The Holon Platform. All rights reserved.